// Base class
//
// Requires one of the contextual, color modifier classes for `color` and
// `background-color`.

.badge {
    font-weight: 400;
    font-size: rem(14);
    border-radius: rem(4);
    line-height: rem(18);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: rem(28);
    padding: rem(4) rem(16);
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;

    &:empty {
        display: none;
    }
}

// Quick fix for badges in buttons
.btn .badge {
  position: relative;
  top: -1px;
}

.badge-primary {
    color: white;
    background: var(--blue);
}

.badge-gray {
    color: white;
    background: #C7C7C7;
}

.badge-secondary {
    color: var(--blue);
    background: var(--blue-10);
}
